(defun c:sha4()

(setq shade4_card (load_dialog "shade4.dcl"))
(if (not (new_dialog "shade4" shade4_card)) (exit))

(start_image "shade4")

(setq xx (dimx_tile "shade4"))
(setq yy (dimy_tile "shade4"))

(setq xx2 (/ xx 2))
(setq yy2 (/ yy 2))

(fill_image 0   0   xx2 yy2 1)
(fill_image 0   yy2 xx2 yy  2)
(fill_image xx2 0   xx  yy2 3)
(fill_image xx2 yy2 xx  yy  5)

(end_image)

(action_tile "shade4" "(pick_shade4 $key $value $x $y)")

(action_tile "accept" "(done_dialog 4)")
(action_tile "cancel" "(done_dialog 0)")

(setq what_shade4 (start_dialog))
(unload_dialog shade4_card)

(if (= what_shade4 4)
    (alert (strcat "You Selected " result))
)
(princ)
) ;; defun c:shade4


(defun pick_shade4(key val x y)

;; For RED
(if (and
    (< x xx2) (< y yy2)
    (> x 0)   (> y 0)
    )
    (setq result "RED")
)

;; For Green
(if (and
    (< x xx )  (> x xx2)
    (< y yy2 ) (> y 0)
    )
    (setq result "GREEN")
)

;; For Yellow
(if (and
    (< x xx2 ) (> x 0) 
    (< y yy )  (> y yy2)
    )
    (setq result "YELLOW")
)

;; For Blue
(if (and
    (< x xx )  (> x xx2)
    (< y yy )  (> y yy2)
    )
    (setq result "BLUE")
)

(princ)
) ;; defun pick_shade4

;;       (0,0)               (xx2,0)                  (xx,0)
;;           ____________________________________________
;;           |                    |                      |
;;           |                    |                      |
;;           |                    |                      |
;;           |      Red           |     Green            |
;;           |                    |                      |
;;           |                    |                      |
;;           |                    | (xx2,yy2)            |
;;  (0,yy2)  |____________________|______________________| (xx,yy2)
;;           |                    |                      |
;;           |                    |                      |
;;           |      Yellow        |      Blue            |
;;           |                    |                      |
;;           |                    |                      |
;;           |                    | (xx2,yy)             |
;;  (0,yy)   |____________________|______________________| (xx,yy)

(princ "\ntype SHA4 to use")(princ)